<template>
  <div id="building">
    <div class="hero min-h-screen">
      <div class="hero-content flex-col lg:flex-row-reverse">
        <!--Carousel-->
        <div id="carousel-landing" class="carousel w-full">
          <div id="slide1" class="carousel-item relative w-full">
            <img
              src="https://elsiaradio.com/wp-content/uploads/2022/03/Gerardo-Paredes-INTOXICACION-BOGOTA-.jpeg"
              class="w-full"
            />
            <div
              class="absolute flex justify-between transform -translate-y-1/2 left-5 right-5 top-1/2"
            >
              <a href="#slide4" class="btn btn-circle">❮</a>
              <a href="#slide2" class="btn btn-circle">❯</a>
            </div>
          </div>
          <div id="slide2" class="carousel-item relative w-full">
            <img
              src="https://pbs.twimg.com/media/DSJE2w7XUAE-UDM.jpg"
              class="w-full"
            />
            <div
              class="absolute flex justify-between transform -translate-y-1/2 left-5 right-5 top-1/2"
            >
              <a href="#slide1" class="btn btn-circle">❮</a>
              <a href="#slide3" class="btn btn-circle">❯</a>
            </div>
          </div>
          <div id="slide3" class="carousel-item relative w-full">
            <img
              src="https://cr00.epimg.net/radio/imagenes/2019/02/13/bogota/1550081480_695608_1550081669_noticia_normal.jpg"
              class="w-full"
            />
            <div
              class="absolute flex justify-between transform -translate-y-1/2 left-5 right-5 top-1/2"
            >
              <a href="#slide2" class="btn btn-circle">❮</a>
              <a href="#slide4" class="btn btn-circle">❯</a>
            </div>
          </div>
          <div id="slide4" class="carousel-item relative w-full">
            <img
              src="https://www.informador.mx/__export/1658173290518/sites/elinformador/img/2022/07/18/3111314scr_ff48f207812ccae_crop1656103526254_crop1656661089722_crop1658173289980.jpg_1902800913.jpg"
              class="w-full"
            />
            <div
              class="absolute flex justify-between transform -translate-y-1/2 left-5 right-5 top-1/2"
            >
              <a href="#slide3" class="btn btn-circle">❮</a>
              <a href="#slide1" class="btn btn-circle">❯</a>
            </div>
          </div>
        </div>
        <div id="dci-text">
          <h1 class="text-7xl font-bold">DCI Intranet</h1>
          <h1 id="name-college" class="text-3xl">Diego Carrera Ibañez</h1>
        </div>
      </div>
    </div>
  </div>
</template>

<style scoped>
#building {
  background-image: linear-gradient(
      120deg,
      rgba(155, 72, 151, 0.699) 0%,
      rgba(111, 43, 112, 0.692) 100%
    ),
    url("../assets/JOHS_entrance-scaled.jpg");
  width: 100%;
  height: 854px;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  position: relative;
  overflow: hidden;
}

#dci-text {
  color: rgb(221, 221, 221);
  text-align: left;
  margin-right: 20px;
}

#carousel-landing {
  width: 550px;
  height: 350px;
  margin-bottom: 150px;
  margin-top: 150px;
  margin-left: 30px;
  box-shadow: 10px 15px 10px rgb(17, 16, 16);
}

#name-college {
  margin-left: 3px;
}
</style>
